Bug 983988 - [Doc Bug Fix] Troubleshooting Amazon EC2 alarm status update
[Doc Bug Fix] Troubleshooting Amazon EC2 alarm status update
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity high
: ER5
: EAP 6.3.0
Assigned To: Russell Dickenson
Russell Dickenson
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 09:17 EDT by Aleksandar Kostadinov
Modified: 2014-08-14 11:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11865, Administration and Configuration Guide-6.1-4 Build Date: 12-07-2013 01:29:20 Topic ID: 9375-459195 [Specified]
Last Closed: 2014-06-28 11:44:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2013-07-12 09:17:22 EDT
Title: About Troubleshooting Amazon EC2

Describe the issue:
> EC2 does not provide any method out of the box to indicate an instance has started correctly and services are running properly.
> Use of an external system for monitoring and management is recommended.

Suggestions for improvement:
> EC2 provides instance Alarm Status to indicate severe machine instance malfunction but this is not enough to indicate an instance has started correctly and services are running properly.
> It is possible to use Amazon CloudWatch with its custom metric functionality to monitor instance services health but use of an enterprise management solution for instance monitoring and management is recommended.

Additional information:
Comment 1 Russell Dickenson 2013-07-25 21:50:18 EDT
I have flagged this EAP 6.1.1 '?' as it's easily fixed and publishable within the EAP 6.1.1 documentation.
Comment 2 Russell Dickenson 2013-08-21 21:23:23 EDT
I have amended the text of this section, clarifying the monitoring options available. When the amended revision is available on Docstage I will set this ticket to ON_QA.
Comment 3 Russell Dickenson 2013-08-25 23:00:58 EDT
The amended text can be validated at [1]. Before validating this change, confirm that you're viewing revision 1.0-58 or later.

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Enterprise_Application_Platform/6.1.1/html-single/Administration_and_Configuration_Guide/index.html#About_Troubleshooting_Amazon_EC2
Comment 4 Aleksandar Kostadinov 2013-08-27 06:39:04 EDT
Hello Russel,

the text looks good to me except 

>  including JBoss EAP 6 and its services: Tomcat, Httpd, PostgreSQL, etc.

I think we can't call Tomcat, Httpd, PostgreSQL services of EAP. I'd just list them like:

> including JBoss EAP 6, Tomcat, Httpd, PostgreSQL, etc.

IIRC we are shipping httpd as part of the EAP RPM channels but I don't think this makes it a service of EAP. Tomcat and PostgreSQL are completely separate packages of RHEL.
Comment 11 Russell Dickenson 2014-06-12 00:05:25 EDT
As per feedback in comment 10 I have made the following changes to the topic:
  About Troubleshooting Amazon EC2 [9375]

1. Split topic into two paragraphs.
2. Reworded description of monitoring JBoss EAP with JON.
3. Added a reference to the topic "About AMI Monitoring".

When the amended book is available for verification I will change this BZ ticket to ON_QA.

The amended text will be available in the "Administration and Configuration Guide", revision 6.3.0-24 (or later) at [1].


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#About_Troubleshooting_Amazon_EC2
Comment 12 Russell Dickenson 2014-06-15 17:49:26 EDT
The amended text is now available in the "Administration and Configuration Guide", revision 6.3.0-25 (or later) at [1]. Refer to comment 11 for details of changes implemented.

[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#About_Troubleshooting_Amazon_EC2
Comment 13 Hynek Mlnarik 2014-06-16 03:43:09 EDT
Verified in Revision 6.3.0-25

Note You need to log in before you can comment on or make changes to this bug.